Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.utils
Class LDAPUtil

    java.lang.Object
      com.stc.connector.ldapadapter.utils.LDAPUtil

    public class LDAPUtil

extends java.lang.Object

General utilities for the LDAP eWay. This class contains utility methods that are accessed by other classes.

Version:
  $Revision: 1.3 $
Author:

Constructor Summary
`LDAPUtil()`

Method Summary
`static boolean` | `isControlSupported(java.lang.String control, java.lang.String providerURL, javax.naming.Context context)` Method to check the support for a particular control by the LDAP server.
`static boolean` | `isExtensionSupported(java.lang.String extension, java.lang.String providerURL, javax.naming.Context context)` Method to check the support for a particular extension by the LDAP server.
`static boolean` | `isJDK13only()` Method to check if the JDK on which the application is running supports only JDK version 1.3 or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAPUtil

    public LDAPUtil()

Method Detail

### isJDK13only

    public static boolean isJDK13only()

  Method to check if the JDK on which the application is running supports only JDK version 1.3 or not.

  Returns:
    true if it supports only JDK 1.3

### isExtensionSupported

    public static boolean isExtensionSupported(java.lang.String extension,
                                               java.lang.String providerURL,
                                               javax.naming.Context context)
                                        throws LDAPApplicationException

  Method to check the support for a particular extension by the LDAP server.

  Parameters:
    `extension` - the name of the extension that needs to be checked.
    `providerURL` - the URL of the LDAP server.
    `context` - the Context object (connection) to send requests to the LDAP server.
  Returns:
    true if the named extension is supported by the LDAP server.
  Throws:
    `LDAPApplicationException` - when some problem occurs while contacting the LDAP server.

### isControlSupported

    public static boolean isControlSupported(java.lang.String control,
                                             java.lang.String providerURL,
                                             javax.naming.Context context)
                                      throws LDAPApplicationException

  Method to check the support for a particular control by the LDAP server.

  Parameters:
    `control` - the name of the control that needs to be checked.
    `providerURL` - the URL of the LDAP server.
    `context` - the Context object (connection) to send requests to the LDAP server.
  Returns:
    true if the named control is supported by the LDAP server.
  Throws:
    `LDAPApplicationException` - when some problem occurs while contacting the LDAP server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD